%define	uname	OpenBoard

Name:		openboard
Version:	1.3.4
Release:	%mkrel 3
Summary:	Interactive whiteboard for schools and universities
License:	GPLv3+
Group:		Education
Url:		http://openboard.ch
Source0:	https://github.com/OpenBoard-org/OpenBoard/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	run.sh
# use system libs as dependencies
Patch0:		%{name}-1.3.4-no_Third-Party.patch
# use poppler instead of xpdf to handle pdf
Patch1:		%{name}-1.3.4-XPDFRenderer_with_poppler.patch
Patch2:		%{name}-1.3.4-fix-call-of-overloaded-abs-is-ambiguous.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libgomp-devel
BuildRequires:	libpaper-devel
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	quazip-devel
BuildRequires:	t1lib-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(poppler)

%description
OpenBoard is an open source cross-platform interactive white board
application designed primarily for use in schools. It was originally
forked from Open-Sankoré, which was itself based on Uniboard.

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

cp -pr %{SOURCE1} %{SOURCE2} .

sed -i -e 's|@LIBDIR@|%{_libdir}|'g run.sh

%build
%{_qt5_bindir}/lrelease -removeidentical %{uname}.pro

%qmake_qt5

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/%{name}/
cp -pr build/linux/release/product/* %{buildroot}%{_libdir}/%{name}/

# icons
install -D -m 0644 resources/images/%{uname}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

# desktop file
install -D -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# internalization
mkdir -p %{buildroot}%{_libdir}/%{name}/i18n/
cp -R resources/i18n/%{uname}*.qm %{buildroot}%{_libdir}/%{name}/i18n/

# customizations
cp -R resources/customizations %{buildroot}%{_libdir}/%{name}/

# run.sh
install -D -m 0755 run.sh %{buildroot}%{_bindir}/%{name}

# clean some exe bits
find %{buildroot} -executable -type f -name *.js -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.svg -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.css -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.xml -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.html -exec chmod -x '{}' \+

%files
%doc README.md
%license COPYRIGHT LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Jan 02 2017 luigiwalser <luigiwalser> 1.3.4-3.mga6
+ Revision: 1079509
- rebuild for poppler

* Tue Nov 29 2016 luigiwalser <luigiwalser> 1.3.4-2.mga6
+ Revision: 1070882
- rebuild for poppler

* Wed Sep 28 2016 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 1057248
- initial package openboard

